2581598 - Cordova build android project error, Requirements check failed for JDK 1.8 or greater - KAP | SAP Knowledge Base Article

SAP Knowledge Base Article - Preview

2581598 - Cordova build android project error, Requirements check failed for JDK 1.8 or greater - KAP

Symptom

In Hybrid App Toolkit setup, "Cordova build Android Project" (step 5) fails with the below error:

"ERROR: cordova build android project error!
 ANDROID_HOME=C:\Users\***\AppData\Local\Android\Sdk
 JAVA_HOME=C:\Program Files\Java\jdk-9.0.1
 Error: Requirements check failed for JDK 1.8 or greater"

jdk.PNG


Read more...

Environment

  • SAP Hybrid App Toolkit local 1.29.1
  • Windows 10
  • JDK 9.0.1
  • Android

Product

SAP Hybrid App Toolkit Companion 1.5.0 for Android ; SAP Web IDE, hybrid app toolkit add-on 1.1

Keywords

HAT, hybrid app toolkit, failed, cordova build android project error, Requirements check failed for JDK 1.8 or greater , KBA , MOB-SDK-KAP , Kapsel: Hybrid Container , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.